load('ETHpixels.mat');
% Die Matrix ETHpixels enthaelt die einzelnen Bildpunkte des ETH-Logos.
% Jede Spalte (ein Vektor mit zwei Komponenten, also ein Element von R^2)
% stellt genau einen schwarzen Punkt in der Ebene dar. In Analogie zu einem
% Schwarzweiss-Bild, das auch nur aus einzelnen schwarzen Pixeln
% besteht, erhält man das ETH-Logo mit folgendem Befehl:
plot(ETHpixels(1,:),ETHpixels(2,:),'.');
set(gca,'XLim',[-100 850]);
set(gca,'YLim',[-700 250]);
set(gca,'DataAspectRatio',[1,1,1]);
% Diese set-Anweisungen dienen einzig dazu, den passenden, unverzerrten
% Ausschnitt von R^2 darzustellen.
hold on
pause

% Rotate the ETH logo by 30 degrees
phi = pi/6;
Q = [ cos(phi), sin(phi);
     -sin(phi), cos(phi) ];
rot = Q * ETHpixels;
plot(rot(1,:),rot(2,:),'r.');
pause

% Rotate the ETH logo by another 30 degrees
rot = Q * rot;
plot(rot(1,:),rot(2,:),'k.');
pause

% Rotate the ETH logo by yet another 30 degrees
rot = Q * rot;
plot(rot(1,:),rot(2,:),'g.');
hold off
